%global pypi_name selenium
%global _description %{expand:
The selenium package is used automate web browser interaction from Python.

Several browsers/drivers are supported (Firefox, Chrome, Internet Explorer,
PhantomJS), as well as the Remote protocol.}

Name:           python-%{pypi_name}
Version:        3.141.0
Release:        6%{?dist}
Summary:        Python bindings for Selenium
License:        ASL 2.0
URL:            http://docs.seleniumhq.org/
Source:         %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
Requires:       python3-urllib3

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}
find . -type f -name "*.py" -exec sed -i '1{/^#!/d;}' {} \;

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
sed -ie '/x_ignore_nofocus.so$/d' %pyproject_files
rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so

%files -n python3-%{pypi_name} -f %pyproject_files
%license LICENSE
%doc CHANGES README.rst

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.141.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.141.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.141.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.141.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.141.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 kianli <kianli@tencent.com> - 3.141.0-1
- initial build
